| OLD | NEW |
| 1 #!/bin/bash | 1 #!/bin/bash |
| 2 | 2 |
| 3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. | 3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. |
| 4 # Use of this source code is governed by a BSD-style license that can be | 4 # Use of this source code is governed by a BSD-style license that can be |
| 5 # found in the LICENSE file. | 5 # found in the LICENSE file. |
| 6 | 6 |
| 7 # This script makes autotest client tests inside a chroot environment. The idea | 7 # This script makes autotest client tests inside a chroot environment. The idea |
| 8 # is to compile any platform-dependent autotest client tests in the build | 8 # is to compile any platform-dependent autotest client tests in the build |
| 9 # environment, since client systems under test lack the proper toolchain. | 9 # environment, since client systems under test lack the proper toolchain. |
| 10 # | 10 # |
| 11 # The user can later run autotest against an ssh enabled test client system, or | 11 # The user can later run autotest against an ssh enabled test client system, or |
| 12 # install the compiled client tests directly onto the rootfs image. | 12 # install the compiled client tests directly onto the rootfs image. |
| 13 | 13 |
| 14 # Includes common already | 14 # Includes common already |
| 15 . "$(dirname $0)/autotest_lib.sh" | 15 . "$(dirname $0)/autotest_lib.sh" |
| 16 | 16 |
| 17 # Script must be run inside the chroot | 17 # Script must be run inside the chroot |
| 18 assert_inside_chroot | 18 assert_inside_chroot |
| 19 | 19 |
| 20 DEFAULT_TESTS_LIST="all" | 20 DEFAULT_TESTS_LIST="all" |
| 21 | 21 |
| 22 DEFINE_string build "${DEFAULT_TESTS_LIST}" \ | 22 DEFINE_string build "${DEFAULT_TESTS_LIST}" \ |
| 23 "a comma seperated list of autotest client tests to be prebuilt." b | 23 "a comma seperated list of autotest client tests to be prebuilt." b |
| 24 DEFINE_boolean prompt $FLAGS_TRUE "Prompt user when building all tests." | 24 DEFINE_boolean prompt $FLAGS_TRUE "Prompt user when building all tests." |
| 25 DEFINE_boolean autox $FLAGS_TRUE "Build autox along with autotest" | 25 DEFINE_boolean autox $FLAGS_TRUE "Build autox along with autotest" |
| 26 DEFINE_boolean buildcheck $FLAGS_FALSE "Fail if tests fail to build" | 26 DEFINE_boolean buildcheck $FLAGS_TRUE "Fail if tests fail to build" |
| 27 | 27 |
| 28 # More useful help | 28 # More useful help |
| 29 FLAGS_HELP="usage: $0 [flags]" | 29 FLAGS_HELP="usage: $0 [flags]" |
| 30 | 30 |
| 31 # parse the command-line | 31 # parse the command-line |
| 32 FLAGS "$@" || exit 1 | 32 FLAGS "$@" || exit 1 |
| 33 eval set -- "${FLAGS_ARGV}" | 33 eval set -- "${FLAGS_ARGV}" |
| 34 set -e | 34 set -e |
| 35 | 35 |
| 36 check_board | 36 check_board |
| (...skipping 30 matching lines...) Expand all Loading... |
| 67 fi | 67 fi |
| 68 | 68 |
| 69 # Decide on USE flags based on options | 69 # Decide on USE flags based on options |
| 70 USE= | 70 USE= |
| 71 [ $FLAGS_autox -eq "$FLAGS_FALSE" ] && USE="${USE} -autox" | 71 [ $FLAGS_autox -eq "$FLAGS_FALSE" ] && USE="${USE} -autox" |
| 72 [ $FLAGS_buildcheck -eq "$FLAGS_TRUE" ] && USE="${USE} buildcheck" | 72 [ $FLAGS_buildcheck -eq "$FLAGS_TRUE" ] && USE="${USE} buildcheck" |
| 73 | 73 |
| 74 GCLIENT_ROOT="${GCLIENT_ROOT}" TEST_LIST=${TEST_LIST} \ | 74 GCLIENT_ROOT="${GCLIENT_ROOT}" TEST_LIST=${TEST_LIST} \ |
| 75 FEATURES="${FEATURES} -buildpkg" USE="$USE" "emerge-${FLAGS_board}" \ | 75 FEATURES="${FEATURES} -buildpkg" USE="$USE" "emerge-${FLAGS_board}" \ |
| 76 chromeos-base/autotest | 76 chromeos-base/autotest |
| OLD | NEW |